<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.integtationTaskLivingDetails.dao.impl.IntegrationTaskLivingDetailsDaoImpl">

    <resultMap id="get-IntegrationTaskLivingDetailsEntity-result" type="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        <result property="id" column="id" jdbcType="VARCHAR"/>
        <result property="taskLinvingId" column="task_linving_id" jdbcType="VARCHAR"/>
        <result property="result" column="result" jdbcType="VARCHAR"/>
        <result property="queryCondition" column="query_condition" jdbcType="VARCHAR"/>
        <result property="rootAppPk" column="root_app_pk" jdbcType="VARCHAR"/>
        <result property="rootAppBill" column="root_app_bill" jdbcType="VARCHAR"/>
        <result property="rootAppNewData" column="root_app_new_data" jdbcType="VARCHAR"/>
        <result property="newTransmitInfo" column="new_transmit_info" jdbcType="VARCHAR"/>
        <result property="newPushDate" column="new_push_date" jdbcType="TIMESTAMP"/>
        <result property="repairPust" column="repair_pust" jdbcType="VARCHAR"/>
        <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
        <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
        <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
        <result property="sts" column="sts" jdbcType="VARCHAR"/>
        <result property="sorts" column="sorts" jdbcType="INTEGER"/>
        <result property="senceId" column="sence_id" jdbcType="VARCHAR"/>
        <result property="newState" column="new_state" jdbcType="VARCHAR"/>
        <result property="businessDate" column="business_date" jdbcType="VARCHAR"/>
        <result property="pluginId" column="plugin_id" jdbcType="VARCHAR"/>
        <result property="processingTime" column="processing_time" jdbcType="TIMESTAMP"/>
        <result property="processingRemarks" column="processing_remarks" jdbcType="VARCHAR"/>
        <result property="processorName" column="processor_name" jdbcType="VARCHAR"/>
        <result property="processor" column="processor" jdbcType="VARCHAR"/>
        <result property="newSystemNumber" column="new_system_number" jdbcType="VARCHAR"/>
        <result property="newSystemPrimary" column="new_system_primary" jdbcType="VARCHAR"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
        <result property="def1" column="def1" jdbcType="VARCHAR"/>
        <result property="def2" column="def2" jdbcType="VARCHAR"/>
        <result property="def3" column="def3" jdbcType="VARCHAR"/>
        <result property="def4" column="def4" jdbcType="VARCHAR"/>
        <result property="def5" column="def5" jdbcType="VARCHAR"/>
    </resultMap>
    <!-- 查询的字段-->
    <sql id = "IntegrationTaskLivingDetailsEntity_Base_Column_List">
        id
        ,task_linving_id
        ,result
        ,query_condition
        ,root_app_pk
        ,root_app_bill
        ,root_app_new_data
        ,new_transmit_info
        ,new_push_date
        ,repair_pust
        ,create_time
        ,create_user_id
        ,modify_time
        ,modify_user_id
        ,sts
        ,sorts
        ,sence_id
        ,new_state
        ,business_date
        ,plugin_id
        ,processing_time
        ,processing_remarks
        ,processor_name
        ,processor
        ,new_system_number
        ,new_system_primary
        ,remark
        ,def1
        ,def2
        ,def3
        ,def4
        ,def5
    </sql>

    <!--通过ID获取数据 -->
<!--    <select id="entity_get" resultMap="get-IntegrationTaskLivingDetailsEntity-result">-->
<!--        select-->
<!--        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />-->
<!--        from integration_task_living_details where id = #{ id } and sts='Y'-->
<!--    </select>-->

    <!-- 查询 采用==查询 -->
    <select id="entity_list_base" resultMap="get-IntegrationTaskLivingDetailsEntity-result" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        from integration_task_living_details
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> and task_linving_id = #{taskLinvingId} </if>
            <if test="result != null and result != ''"> and result = #{result} </if>
            <if test="queryCondition != null and queryCondition != ''"> and query_condition = #{queryCondition} </if>
            <if test="rootAppPk != null and rootAppPk != ''"> and root_app_pk = #{rootAppPk} </if>
            <if test="rootAppBill != null and rootAppBill != ''"> and root_app_bill = #{rootAppBill} </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> and root_app_new_data = #{rootAppNewData} </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> and new_transmit_info = #{newTransmitInfo} </if>
            <if test="newPushDate != null"> and new_push_date = #{newPushDate} </if>
            <if test="repairPust != null and repairPust != ''"> and repair_pust = #{repairPust} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="senceId != null and senceId != ''"> and sence_id = #{senceId} </if>
            <if test="newState != null and newState != ''"> and new_state = #{newState} </if>
            <if test="businessDate != null and businessDate != ''"> and business_date = #{businessDate} </if>
            <if test="pluginId != null and pluginId != ''"> and plugin_id = #{pluginId} </if>
            <if test="processingTime != null"> and processing_time = #{processingTime} </if>
            <if test="processingRemarks != null and processingRemarks != ''"> and processing_remarks = #{processingRemarks} </if>
            <if test="processorName != null and processorName != ''"> and processor_name = #{processorName} </if>
            <if test="processor != null and processor != ''"> and processor = #{processor} </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> and new_system_number = #{newSystemNumber} </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> and new_system_primary = #{newSystemPrimary} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>
            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>
            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>
            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>
            <if test="root_app_pk_s!=null and root_app_pk_s!=''">
                and root_app_pk in (${root_app_pk_s})
            </if>
            <if test="param_new_state!=null and param_new_state!=''">
                and new_state in (${param_new_state})
            </if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询符合条件的数量 -->
    <select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select  count(1)   from integration_task_living_details
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> and task_linving_id = #{taskLinvingId} </if>
            <if test="result != null and result != ''"> and result = #{result} </if>
            <if test="queryCondition != null and queryCondition != ''"> and query_condition = #{queryCondition} </if>
            <if test="rootAppPk != null and rootAppPk != ''"> and root_app_pk = #{rootAppPk} </if>
            <if test="rootAppBill != null and rootAppBill != ''"> and root_app_bill = #{rootAppBill} </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> and root_app_new_data = #{rootAppNewData} </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> and new_transmit_info = #{newTransmitInfo} </if>
            <if test="newPushDate != null"> and new_push_date = #{newPushDate} </if>
            <if test="repairPust != null and repairPust != ''"> and repair_pust = #{repairPust} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="senceId != null and senceId != ''"> and sence_id = #{senceId} </if>
            <if test="newState != null and newState != ''"> and new_state = #{newState} </if>
            <if test="businessDate != null and businessDate != ''"> and business_date = #{businessDate} </if>
            <if test="pluginId != null and pluginId != ''"> and plugin_id = #{pluginId} </if>
            <if test="processingTime != null"> and processing_time = #{processingTime} </if>
            <if test="processingRemarks != null and processingRemarks != ''"> and processing_remarks = #{processingRemarks} </if>
            <if test="processorName != null and processorName != ''"> and processor_name = #{processorName} </if>
            <if test="processor != null and processor != ''"> and processor = #{processor} </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> and new_system_number = #{newSystemNumber} </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> and new_system_primary = #{newSystemPrimary} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>
            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>
            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>
            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
    <select id="entity_list_like" resultMap="get-IntegrationTaskLivingDetailsEntity-result" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        from integration_task_living_details
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> and task_linving_id like concat('%',#{taskLinvingId},'%') </if>
            <if test="result != null and result != ''"> and result like concat('%',#{result},'%') </if>
            <if test="queryCondition != null and queryCondition != ''"> and query_condition like concat('%',#{queryCondition},'%') </if>
            <if test="rootAppPk != null and rootAppPk != ''"> and root_app_pk like concat('%',#{rootAppPk},'%') </if>
            <if test="rootAppBill != null and rootAppBill != ''"> and root_app_bill like concat('%',#{rootAppBill},'%') </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> and root_app_new_data like concat('%',#{rootAppNewData},'%') </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> and new_transmit_info like concat('%',#{newTransmitInfo},'%') </if>
            <if test="newPushDate != null"> and new_push_date like concat('%',#{newPushDate},'%') </if>
            <if test="repairPust != null and repairPust != ''"> and repair_pust like concat('%',#{repairPust},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="senceId != null and senceId != ''"> and sence_id like concat('%',#{senceId},'%') </if>
            <if test="newState != null and newState != ''"> and new_state like concat('%',#{newState},'%') </if>
            <if test="businessDate != null and businessDate != ''"> and business_date like concat('%',#{businessDate},'%') </if>
            <if test="pluginId != null and pluginId != ''"> and plugin_id like concat('%',#{pluginId},'%') </if>
            <if test="processingTime != null"> and processing_time like concat('%',#{processingTime},'%') </if>
            <if test="processingRemarks != null and processingRemarks != ''"> and processing_remarks like concat('%',#{processingRemarks},'%') </if>
            <if test="processorName != null and processorName != ''"> and processor_name like concat('%',#{processorName},'%') </if>
            <if test="processor != null and processor != ''"> and processor like concat('%',#{processor},'%') </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> and new_system_number like concat('%',#{newSystemNumber},'%') </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> and new_system_primary like concat('%',#{newSystemPrimary},'%') </if>
            <if test="remark != null and remark != ''"> and remark like concat('%',#{remark},'%') </if>
            <if test="def1 != null and def1 != ''"> and def1 like concat('%',#{def1},'%') </if>
            <if test="def2 != null and def2 != ''"> and def2 like concat('%',#{def2},'%') </if>
            <if test="def3 != null and def3 != ''"> and def3 like concat('%',#{def3},'%') </if>
            <if test="def4 != null and def4 != ''"> and def4 like concat('%',#{def4},'%') </if>
            <if test="def5 != null and def5 != ''"> and def5 like concat('%',#{def5},'%') </if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询列表 字段采用or格式 -->
    <select id="IntegrationTaskLivingDetailsentity_list_or" resultMap="get-IntegrationTaskLivingDetailsEntity-result" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        from integration_task_living_details
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''"> or id = #{id} </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> or task_linving_id = #{taskLinvingId} </if>
            <if test="result != null and result != ''"> or result = #{result} </if>
            <if test="queryCondition != null and queryCondition != ''"> or query_condition = #{queryCondition} </if>
            <if test="rootAppPk != null and rootAppPk != ''"> or root_app_pk = #{rootAppPk} </if>
            <if test="rootAppBill != null and rootAppBill != ''"> or root_app_bill = #{rootAppBill} </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> or root_app_new_data = #{rootAppNewData} </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> or new_transmit_info = #{newTransmitInfo} </if>
            <if test="newPushDate != null"> or new_push_date = #{newPushDate} </if>
            <if test="repairPust != null and repairPust != ''"> or repair_pust = #{repairPust} </if>
            <if test="create_time != null"> or create_time = #{create_time} </if>
            <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
            <if test="modify_time != null"> or modify_time = #{modify_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
            <if test="sts != null and sts != ''"> or sts = #{sts} </if>
            <if test="sorts != null"> or sorts = #{sorts} </if>
            <if test="senceId != null and senceId != ''"> or sence_id = #{senceId} </if>
            <if test="newState != null and newState != ''"> or new_state = #{newState} </if>
            <if test="businessDate != null and businessDate != ''"> or business_date = #{businessDate} </if>
            <if test="pluginId != null and pluginId != ''"> or plugin_id = #{pluginId} </if>
            <if test="processingTime != null"> or processing_time = #{processingTime} </if>
            <if test="processingRemarks != null and processingRemarks != ''"> or processing_remarks = #{processingRemarks} </if>
            <if test="processorName != null and processorName != ''"> or processor_name = #{processorName} </if>
            <if test="processor != null and processor != ''"> or processor = #{processor} </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> or new_system_number = #{newSystemNumber} </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> or new_system_primary = #{newSystemPrimary} </if>
            <if test="remark != null and remark != ''"> or remark = #{remark} </if>
            <if test="def1 != null and def1 != ''"> or def1 = #{def1} </if>
            <if test="def2 != null and def2 != ''"> or def2 = #{def2} </if>
            <if test="def3 != null and def3 != ''"> or def3 = #{def3} </if>
            <if test="def4 != null and def4 != ''"> or def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> or def5 = #{def5} </if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!--新增所有列-->
    <insert id="entity_insert" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity"  >
        insert into integration_task_living_details(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''"> id , </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> task_linving_id , </if>
            <if test="result != null and result != ''"> result , </if>
            <if test="queryCondition != null and queryCondition != ''"> query_condition , </if>
            <if test="rootAppPk != null and rootAppPk != ''"> root_app_pk , </if>
            <if test="rootAppBill != null and rootAppBill != ''"> root_app_bill , </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> root_app_new_data , </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> new_transmit_info , </if>
            <if test="newPushDate != null"> new_push_date , </if>
            <if test="repairPust != null and repairPust != ''"> repair_pust , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="senceId != null and senceId != ''"> sence_id , </if>
            <if test="newState != null and newState != ''"> new_state , </if>
            <if test="businessDate != null and businessDate != ''"> business_date , </if>
            <if test="pluginId != null and pluginId != ''"> plugin_id , </if>
            <if test="processingTime != null"> processing_time , </if>
            <if test="processingRemarks != null and processingRemarks != ''"> processing_remarks , </if>
            <if test="processorName != null and processorName != ''"> processor_name , </if>
            <if test="processor != null and processor != ''"> processor , </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> new_system_number , </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> new_system_primary , </if>
            <if test="remark != null and remark != ''"> remark , </if>
            <if test="def1 != null and def1 != ''"> def1 , </if>
            <if test="def2 != null and def2 != ''"> def2 , </if>
            <if test="def3 != null and def3 != ''"> def3 , </if>
            <if test="def4 != null and def4 != ''"> def4 , </if>
            <if test="def5 != null and def5 != ''"> def5 , </if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''"> #{id} ,</if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> #{taskLinvingId} ,</if>
            <if test="result != null and result != ''"> #{result} ,</if>
            <if test="queryCondition != null and queryCondition != ''"> #{queryCondition} ,</if>
            <if test="rootAppPk != null and rootAppPk != ''"> #{rootAppPk} ,</if>
            <if test="rootAppBill != null and rootAppBill != ''"> #{rootAppBill} ,</if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> #{rootAppNewData} ,</if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> #{newTransmitInfo} ,</if>
            <if test="newPushDate != null"> #{newPushDate} ,</if>
            <if test="repairPust != null and repairPust != ''"> #{repairPust} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="senceId != null and senceId != ''"> #{senceId} ,</if>
            <if test="newState != null and newState != ''"> #{newState} ,</if>
            <if test="businessDate != null and businessDate != ''"> #{businessDate} ,</if>
            <if test="pluginId != null and pluginId != ''"> #{pluginId} ,</if>
            <if test="processingTime != null"> #{processingTime} ,</if>
            <if test="processingRemarks != null and processingRemarks != ''"> #{processingRemarks} ,</if>
            <if test="processorName != null and processorName != ''"> #{processorName} ,</if>
            <if test="processor != null and processor != ''"> #{processor} ,</if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> #{newSystemNumber} ,</if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> #{newSystemPrimary} ,</if>
            <if test="remark != null and remark != ''"> #{remark} ,</if>
            <if test="def1 != null and def1 != ''"> #{def1} ,</if>
            <if test="def2 != null and def2 != ''"> #{def2} ,</if>
            <if test="def3 != null and def3 != ''"> #{def3} ,</if>
            <if test="def4 != null and def4 != ''"> #{def4} ,</if>
            <if test="def5 != null and def5 != ''"> #{def5} ,</if>
            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>

    <!--成功日志保存-->
    <insert id="entity_insert_success" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity"  >
        insert into integration_task_living_details_success(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''"> id , </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> task_linving_id , </if>
            <if test="result != null and result != ''"> result , </if>
            <if test="queryCondition != null and queryCondition != ''"> query_condition , </if>
            <if test="rootAppPk != null and rootAppPk != ''"> root_app_pk , </if>
            <if test="rootAppBill != null and rootAppBill != ''"> root_app_bill , </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> root_app_new_data , </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> new_transmit_info , </if>
            <if test="newPushDate != null"> new_push_date , </if>
            <if test="repairPust != null and repairPust != ''"> repair_pust , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="senceId != null and senceId != ''"> sence_id , </if>
            <if test="newState != null and newState != ''"> new_state , </if>
            <if test="businessDate != null and businessDate != ''"> business_date , </if>
            <if test="pluginId != null and pluginId != ''"> plugin_id , </if>
            <if test="processingTime != null"> processing_time , </if>
            <if test="processingRemarks != null and processingRemarks != ''"> processing_remarks , </if>
            <if test="processorName != null and processorName != ''"> processor_name , </if>
            <if test="processor != null and processor != ''"> processor , </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> new_system_number , </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> new_system_primary , </if>
            <if test="remark != null and remark != ''"> remark , </if>
            <if test="def1 != null and def1 != ''"> def1 , </if>
            <if test="def2 != null and def2 != ''"> def2 , </if>
            <if test="def3 != null and def3 != ''"> def3 , </if>
            <if test="def4 != null and def4 != ''"> def4 , </if>
            <if test="def5 != null and def5 != ''"> def5 , </if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''"> #{id} ,</if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> #{taskLinvingId} ,</if>
            <if test="result != null and result != ''"> #{result} ,</if>
            <if test="queryCondition != null and queryCondition != ''"> #{queryCondition} ,</if>
            <if test="rootAppPk != null and rootAppPk != ''"> #{rootAppPk} ,</if>
            <if test="rootAppBill != null and rootAppBill != ''"> #{rootAppBill} ,</if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> #{rootAppNewData} ,</if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> #{newTransmitInfo} ,</if>
            <if test="newPushDate != null"> #{newPushDate} ,</if>
            <if test="repairPust != null and repairPust != ''"> #{repairPust} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="senceId != null and senceId != ''"> #{senceId} ,</if>
            <if test="newState != null and newState != ''"> #{newState} ,</if>
            <if test="businessDate != null and businessDate != ''"> #{businessDate} ,</if>
            <if test="pluginId != null and pluginId != ''"> #{pluginId} ,</if>
            <if test="processingTime != null"> #{processingTime} ,</if>
            <if test="processingRemarks != null and processingRemarks != ''"> #{processingRemarks} ,</if>
            <if test="processorName != null and processorName != ''"> #{processorName} ,</if>
            <if test="processor != null and processor != ''"> #{processor} ,</if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> #{newSystemNumber} ,</if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> #{newSystemPrimary} ,</if>
            <if test="remark != null and remark != ''"> #{remark} ,</if>
            <if test="def1 != null and def1 != ''"> #{def1} ,</if>
            <if test="def2 != null and def2 != ''"> #{def2} ,</if>
            <if test="def3 != null and def3 != ''"> #{def3} ,</if>
            <if test="def4 != null and def4 != ''"> #{def4} ,</if>
            <if test="def5 != null and def5 != ''"> #{def5} ,</if>
            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>
    <!-- 批量新增 -->
    <insert id="entityInsertBatch"  >
        insert into integration_task_living_details(task_linving_id, result, query_condition, root_app_pk, root_app_bill, root_app_new_data, new_transmit_info, new_push_date, repair_pust, create_time, create_user_id, modify_time, modify_user_id, sts, sence_id, new_state, business_date, plugin_id, processing_time, processing_remarks, processor_name, processor, new_system_number, new_system_primary, remark, def1, def2, def3, def4, def5,  sts)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.taskLinvingId},#{entity.result},#{entity.queryCondition},#{entity.rootAppPk},#{entity.rootAppBill},#{entity.rootAppNewData},#{entity.newTransmitInfo},#{entity.newPushDate},#{entity.repairPust},#{entity.create_time},#{entity.create_user_id},#{entity.modify_time},#{entity.modify_user_id},#{entity.sts},#{entity.senceId},#{entity.newState},#{entity.businessDate},#{entity.pluginId},#{entity.processingTime},#{entity.processingRemarks},#{entity.processorName},#{entity.processor},#{entity.newSystemNumber},#{entity.newSystemPrimary},#{entity.remark},#{entity.def1},#{entity.def2},#{entity.def3},#{entity.def4},#{entity.def5}, 'Y')
        </foreach>
    </insert>
    <!-- 批量新增或者修改-->
    <insert id="entityInsertOrUpdateBatch"  >
        insert into integration_task_living_details(task_linving_id, result, query_condition, root_app_pk, root_app_bill, root_app_new_data, new_transmit_info, new_push_date, repair_pust, create_time, create_user_id, modify_time, modify_user_id, sts, sence_id, new_state, business_date, plugin_id, processing_time, processing_remarks, processor_name, processor, new_system_number, new_system_primary, remark, def1, def2, def3, def4, def5)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.taskLinvingId},#{entity.result},#{entity.queryCondition},#{entity.rootAppPk},#{entity.rootAppBill},#{entity.rootAppNewData},#{entity.newTransmitInfo},#{entity.newPushDate},#{entity.repairPust},#{entity.create_time},#{entity.create_user_id},#{entity.modify_time},#{entity.modify_user_id},#{entity.sts},#{entity.senceId},#{entity.newState},#{entity.businessDate},#{entity.pluginId},#{entity.processingTime},#{entity.processingRemarks},#{entity.processorName},#{entity.processor},#{entity.newSystemNumber},#{entity.newSystemPrimary},#{entity.remark},#{entity.def1},#{entity.def2},#{entity.def3},#{entity.def4},#{entity.def5})
        </foreach>
        on duplicate key update
        task_linving_id = values(task_linving_id),
        result = values(result),
        query_condition = values(query_condition),
        root_app_pk = values(root_app_pk),
        root_app_bill = values(root_app_bill),
        root_app_new_data = values(root_app_new_data),
        new_transmit_info = values(new_transmit_info),
        new_push_date = values(new_push_date),
        repair_pust = values(repair_pust),
        create_time = values(create_time),
        create_user_id = values(create_user_id),
        modify_time = values(modify_time),
        modify_user_id = values(modify_user_id),
        sts = values(sts),
        sence_id = values(sence_id),
        new_state = values(new_state),
        business_date = values(business_date),
        plugin_id = values(plugin_id),
        processing_time = values(processing_time),
        processing_remarks = values(processing_remarks),
        processor_name = values(processor_name),
        processor = values(processor),
        new_system_number = values(new_system_number),
        new_system_primary = values(new_system_primary),
        remark = values(remark),
        def1 = values(def1),
        def2 = values(def2),
        def3 = values(def3),
        def4 = values(def4),
        def5 = values(def5)</insert>
    <!--通过主键修改方法-->
    <update id="entity_update" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        update integration_task_living_details  set
        <trim suffix="" suffixOverrides=",">
            <if test="taskLinvingId != null and taskLinvingId != ''"> task_linving_id = #{taskLinvingId},</if>
            <if test="result != null and result != ''"> result = #{result},</if>
            <if test="queryCondition != null and queryCondition != ''"> query_condition = #{queryCondition},</if>
            <if test="rootAppPk != null and rootAppPk != ''"> root_app_pk = #{rootAppPk},</if>
            <if test="rootAppBill != null and rootAppBill != ''"> root_app_bill = #{rootAppBill},</if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> root_app_new_data = #{rootAppNewData},</if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> new_transmit_info = #{newTransmitInfo},</if>
            <if test="newPushDate != null"> new_push_date = #{newPushDate},</if>
            <if test="repairPust != null and repairPust != ''"> repair_pust = #{repairPust},</if>
            <if test="create_time != null"> create_time = #{create_time},</if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
            <if test="modify_time != null"> modify_time = #{modify_time},</if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
            <if test="sts != null and sts != ''"> sts = #{sts},</if>
            <if test="senceId != null and senceId != ''"> sence_id = #{senceId},</if>
            <if test="newState != null and newState != ''"> new_state = #{newState},</if>
            <if test="businessDate != null and businessDate != ''"> business_date = #{businessDate},</if>
            <if test="pluginId != null and pluginId != ''"> plugin_id = #{pluginId},</if>
            <if test="processingTime != null"> processing_time = #{processingTime},</if>
            <if test="processingRemarks != null and processingRemarks != ''"> processing_remarks = #{processingRemarks},</if>
            <if test="processorName != null and processorName != ''"> processor_name = #{processorName},</if>
            <if test="processor != null and processor != ''"> processor = #{processor},</if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> new_system_number = #{newSystemNumber},</if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> new_system_primary = #{newSystemPrimary},</if>
            <if test="remark != null and remark != ''"> remark = #{remark},</if>
            <if test="def1 != null and def1 != ''"> def1 = #{def1},</if>
            <if test="def2 != null and def2 != ''"> def2 = #{def2},</if>
            <if test="def3 != null and def3 != ''"> def3 = #{def3},</if>
            <if test="def4 != null and def4 != ''"> def4 = #{def4},</if>
            <if test="def5 != null and def5 != ''"> def5 = #{def5},</if>
        </trim>
        where id = #{id}
    </update>
    <!-- 逻辑删除 -->
    <update id="entity_logicDelete" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        update integration_task_living_details  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        where id = #{id}
    </update>

    <!-- 逻辑删除 处理主键为UUID的情况 -->
    <update id="entity_logicDelete_for_uuid" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        update integration_task_living_details  set sts= 'N'
        where id = #{id}
    </update>
    <!-- 多条件逻辑删除 -->
    <update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        update integration_task_living_details  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="taskLinvingId != null and taskLinvingId != ''"> and task_linving_id = #{taskLinvingId} </if>
            <if test="result != null and result != ''"> and result = #{result} </if>
            <if test="queryCondition != null and queryCondition != ''"> and query_condition = #{queryCondition} </if>
            <if test="rootAppPk != null and rootAppPk != ''"> and root_app_pk = #{rootAppPk} </if>
            <if test="rootAppBill != null and rootAppBill != ''"> and root_app_bill = #{rootAppBill} </if>
            <if test="rootAppNewData != null and rootAppNewData != ''"> and root_app_new_data = #{rootAppNewData} </if>
            <if test="newTransmitInfo != null and newTransmitInfo != ''"> and new_transmit_info = #{newTransmitInfo} </if>
            <if test="newPushDate != null"> and new_push_date = #{newPushDate} </if>
            <if test="repairPust != null and repairPust != ''"> and repair_pust = #{repairPust} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="senceId != null and senceId != ''"> and sence_id = #{senceId} </if>
            <if test="newState != null and newState != ''"> and new_state = #{newState} </if>
            <if test="businessDate != null and businessDate != ''"> and business_date = #{businessDate} </if>
            <if test="pluginId != null and pluginId != ''"> and plugin_id = #{pluginId} </if>
            <if test="processingTime != null"> and processing_time = #{processingTime} </if>
            <if test="processingRemarks != null and processingRemarks != ''"> and processing_remarks = #{processingRemarks} </if>
            <if test="processorName != null and processorName != ''"> and processor_name = #{processorName} </if>
            <if test="processor != null and processor != ''"> and processor = #{processor} </if>
            <if test="newSystemNumber != null and newSystemNumber != ''"> and new_system_number = #{newSystemNumber} </if>
            <if test="newSystemPrimary != null and newSystemPrimary != ''"> and new_system_primary = #{newSystemPrimary} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>
            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>
            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>
            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>
            and sts='Y'
        </trim>
    </update>
    <!--通过主键删除-->
    <delete id="entity_delete">
        delete from integration_task_living_details where id = #{id}
    </delete>
    <!--通过ID获取数据 -->
    <select id="entity_get" resultMap="get-IntegrationTaskLivingDetailsEntity-result">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        from         <choose>
        <when test=" newState != null and newState.trim() != '' and newState == 'N'.toString()">
            integration_task_living_details
        </when>
        <otherwise>
            integration_task_living_details_success
        </otherwise>
    </choose> where id = #{id} and sts='Y'
    </select>

    <!--通过ID获取数据 -->
    <select id="queryEntity" resultMap="get-IntegrationTaskLivingDetailsEntity-result" parameterType="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        from
        <choose>
            <when test=" newState != null and newState.trim() != '' and newState == 'N'.toString()">
                integration_task_living_details
            </when>
            <otherwise>
                integration_task_living_details_success
            </otherwise>
        </choose> where id = #{id} and sts='Y'
    </select>


    <select id="queryEntityById" resultMap="get-IntegrationTaskLivingDetailsEntity-result" parameterType="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        FROM integration_task_living_details WHERE id = #{id} AND sts='Y'
        UNION ALL
        select
        <include refid="IntegrationTaskLivingDetailsEntity_Base_Column_List" />
        FROM integration_task_living_details_success WHERE id = #{id} AND sts='Y'
    </select>
    <sql id="IntegrationTaskLivingDetailsVo_Base_Column_List">
        id,
		task_linving_id,
		result,
		query_condition,
		root_app_pk,
		root_app_bill,
		root_app_new_data,
		new_transmit_info,
		new_push_date,
		repair_pust,
		sence_id,
		plugin_id,
		new_state,
		business_date,
		create_time,
		create_user_id,
		modify_time,
		modify_user_id,
		sts,
		new_system_primary,
		new_system_number,
		processor,
		processor_name,
		processing_remarks,
		processing_time
    </sql>
    <resultMap id="get-IntegrationTaskLivingDetailsVo-result" type="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsVo">
        <!--无备注 -->
        <result property="id" column="id" />
        <!--集成任务-实例_id -->
        <result property="task_linving_id" column="task_linving_id" />
        <!--返回结果 -->
        <result property="result" column="result" />
        <!--原始查询条件 -->
        <result property="query_condition" column="query_condition" />
        <!--源系统主键 -->
        <result property="root_app_pk" column="root_app_pk" />
        <!--原系统单据 -->
        <result property="root_app_bill" column="root_app_bill" />
        <!--最新源系统数据详情 -->
        <result property="root_app_new_data" column="root_app_new_data" />
        <!--最新传输信息 -->
        <result property="new_transmit_info" column="new_transmit_info" />
        <!--最新推送时间 -->
        <result property="new_push_date" column="new_push_date" />
        <!--是否补推(Y是N不是) -->
        <result property="repair_pust" column="repair_pust" />
        <!--		场景id-->
        <result property="sence_id" column="sence_id"/>
        <!--		插件id-->
        <result property="plugin_id" column="plugin_id"/>
        <!--		推送状态-->
        <result property="new_state" column="new_state"/>
        <!--		单据业务日期-->
        <result property="business_date" column="business_date"/>
        <!--创建时间 -->
        <result property="create_time" column="create_time" />
        <!--创建人id -->
        <result property="create_user_id" column="create_user_id" />
        <!--修改时间 -->
        <result property="modify_time" column="modify_time" />
        <!--修改人id -->
        <result property="modify_user_id" column="modify_user_id" />
        <!--状态(Y正常N删除) -->
        <result property="sts" column="sts" />
        <!-- 下游系统主键 -->
        <result property="new_system_primary" column="new_system_primary" />
        <!--下游系统单号 -->
        <result property="new_system_number" column="new_system_number" />
        <!--处理⼈ -->
        <result property="processor" column="processor" />
        <!--处理⼈名称 -->
        <result property="processor_name" column="processor_name" />
        <!-- 处理备注 -->
        <result property="processing_remarks" column="processing_remarks" />
        <!--处理时间 -->
        <result property="processing_time" column="processing_time" />
    </resultMap>
    <!-- 分页查询列表 采用like格式 -->
    <select id="queryPageLeftTask" resultMap="get-IntegrationTaskLivingDetailsVo-result" parameterType="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsVo">
        select
        <include refid="IntegrationTaskLivingDetailsVo_Base_Column_List" />
        from
        <choose>
            <when test=" new_state != null and new_state.trim() != '' and new_state == 'N'.toString()">
                integration_task_living_details
            </when>
            <otherwise>
                integration_task_living_details_success
            </otherwise>
        </choose>
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null ">id = #{id}</if>
            <if test="task_linving_id != null "> and task_linving_id = #{task_linving_id}</if>
            <if test="result != null and result !='' "> and result like concat('%',#{result},'%') </if>
            <if test="query_condition != null and query_condition !='' "> and query_condition like concat('%',#{query_condition},'%') </if>
            <if test="root_app_pk != null and root_app_pk !='' "> and root_app_pk like concat('%',#{root_app_pk},'%') </if>
            <if test="root_app_bill != null and root_app_bill !='' "> and root_app_bill like concat(#{root_app_bill},'%') </if>
            <if test="root_app_new_data != null and root_app_new_data !='' "> and root_app_new_data like concat('%',#{root_app_new_data},'%') </if>
            <if test="new_transmit_info != null and new_transmit_info !='' "> and new_transmit_info like concat('%',#{new_transmit_info},'%') </if>
            <if test="new_push_date != null and new_push_date !='' "> <![CDATA[  AND DATE_FORMAT(new_push_date , '%Y-%m-%d') = #{new_push_date} ]]> </if>
            <if test="repair_pust != null and repair_pust !='' "> and repair_pust like concat('%',#{repair_pust},'%') </if>
            <if test="sence_id != null and sence_id !='' "> and sence_id like concat('%',#{sence_id},'%') </if>
            <if test="plugin_id != null and plugin_id !='' "> and plugin_id like concat(#{plugin_id},'%') </if>
            <if test="new_state != null and new_state !='' "> and new_state like concat(#{new_state},'%') </if>
            <if test="business_date != null and business_date !='' "> <![CDATA[  AND DATE_FORMAT(business_date , '%Y-%m-%d') = str_to_date(#{business_date},'%Y-%m-%d')  ]]> </if>
            <if test="create_time != null and create_time !='' "> and create_time like concat('%',#{create_time},'%') </if>
            <if test="create_user_id != null and create_user_id !='' "> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="modify_time != null and modify_time !='' "> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id !='' "> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="sts != null and sts !='' "> and sts like concat(#{sts},'%') </if>
            <if test="new_system_primary != null and new_system_primary !='' "> and new_system_primary like concat('%',#{new_system_primary},'%') </if>
            <if test="new_system_number != null and new_system_number !='' "> and new_system_number like concat(#{new_system_number},'%') </if>
            <if test="processor != null and processor !='' "> and processor like concat('%',#{processor},'%') </if>
            <if test="processor_name != null and processor_name !='' "> and processor_name like concat('%',#{processor_name},'%') </if>
            <if test="processing_remarks != null and processing_remarks !='' "> and processing_remarks like concat('%',#{processing_remarks},'%') </if>
            <if test="processing_time != null and processing_time !='' "> and processing_time like concat('%',#{processing_time},'%') </if>
            and sts='Y'
        </trim>
        order by modify_time desc
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by  ${sort} ${order}</if>
    </select>

    <!-- 修改:按主键修改 -->
    <update id="entity_updatebyid" parameterType="com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity">
        update integration_task_living_details set
        <trim suffix="" suffixOverrides=",">
            <if test="result != null and result !='' "> result = #{result},</if>
            <if test="query_condition != null and query_condition !='' "> query_condition = #{query_condition},</if>
            <if test="root_app_pk != null and root_app_pk !='' "> root_app_pk = #{root_app_pk},</if>
            <if test="root_app_bill != null and root_app_bill !='' "> root_app_bill = #{root_app_bill},</if>
            <if test="root_app_new_data != null and root_app_new_data !='' "> root_app_new_data = #{root_app_new_data},</if>
            <if test="new_transmit_info != null and new_transmit_info !='' "> new_transmit_info = #{new_transmit_info},</if>
            <if test="new_push_date != null ">new_push_date = #{new_push_date},</if>
            <if test="repair_pust != null and repair_pust !='' "> repair_pust = #{repair_pust},</if>
            <if test="sence_id != null and sence_id !='' "> sence_id = #{sence_id},</if>
            <if test="plugin_id != null and plugin_id !='' "> plugin_id = #{plugin_id},</if>
            <if test="new_state != null and new_state !='' "> new_state = #{new_state},</if>
            <if test="business_date != null and business_date !='' "> business_date = #{business_date},</if>
            <if test="create_user_id != null and create_user_id !='' "> create_user_id = #{create_user_id},</if>
            <if test="modify_user_id != null and modify_user_id !='' "> modify_user_id = #{modify_user_id},</if>
            <if test="new_system_primary != null and new_system_primary !='' "> new_system_primary = #{new_system_primary},</if>
            <if test="new_system_number != null and new_system_number !='' "> new_system_number = #{new_system_number},</if>
            <if test="processor != null and processor !='' "> processor = #{processor},</if>
            <if test="processor_name != null and processor_name !='' "> processor_name = #{processor_name},</if>
            <if test="processing_remarks != null and processing_remarks !='' "> processing_remarks = #{processing_remarks},</if>
            <if test="processing_time != null  "> processing_time = #{processing_time},</if>
            <if test="modify_time != null "> modify_time =#{modify_time}  </if>
            <if test="modify_time  == null "> modify_time = now()</if>
        </trim>
        where id = #{id}
    </update>
    <update id="deleteEntity" parameterType = "com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity" >
        update  <choose>
        <when test=" newState != null and newState.trim() != '' and newState == 'N'.toString()">
            integration_task_living_details
        </when>
        <otherwise>
            integration_task_living_details_success
        </otherwise>
    </choose>  set sts= 'N'
        where id = #{id}
    </update>
</mapper>

